Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [snap]

These questions are about Snappy (software development and package management system).

0
votes
0answers
13 views

Vectr doesn't launch on Ubuntu

I installed a software called Vectr through the snap store on Ubuntu 19.04 using the command. sudo snap install vectr The program installs as usual, and I get this message on the terminal, vectr 0....
0
votes
0answers
12 views

Evince not showing up as PDF viewer in Firefox (installed via snap)

I installed the newest Firefox version on my Debian 9.8 machine. Now I would like to use evince as my default PDF viewer but whenever I try to select it in the "use other" dialog of the corresponding ...
0
votes
0answers
13 views

How to control background data usage of snap apps?

I am using Ubuntu 18.04. I noticed after installing Android Studio using snap my data usage started increasing. I thought it must be due to this new installation and yes it was because of that. So, ...
1
vote
1answer
37 views

Unable to delete directory, imutable flag is not set, not mounted

So i have this directory that causes a lot of problems when trying to delete lxd via snap. The directory in question is /var/snap/lxd/common/lxd/storage-pools/default/. If I try to delete it with sudo ...
3
votes
0answers
79 views

Buffer I/O error on loop device

Lately, I have been getting Buffer I/O errors during boot time. Seemingly, it appears randomly and I could not be able to reproduce it. However, it happens in every 5-8 boot on average. Here is the ...
0
votes
1answer
59 views

ffmpeg snap package error in Debian 9: libGL error: unable to load driver: r600_dri.so

I am using Debian 9 with an older Radeon GPU (5450). I am interested in using the snap package of ffmpeg (which is version 4.1) because of some issues I may be able to fix with the newer snap instead ...
0
votes
0answers
58 views

All my snap installed Applications are gone (cannot find them through Activities)

When I dmesg, I get the following output (should I include any other info?; I am on Ubuntu 18.04 LTS, btw): [ 125.258428] rfkill: input handler disabled [ 698.488098] WARNING! power/level is ...
-1
votes
1answer
54 views

route traffic of all connected wireless clients to one particular IP and port

I've successfully set up access point on my server using wifi-ap snap wakatana@server:~$ sudo wifi-ap.config get debug: false dhcp.lease-time: 12h dhcp.range-start: 10.0.60.2 dhcp.range-stop: 10.0.60....
1
vote
1answer
474 views

What are the dangers of using snap's classic confinement?

While following a video tutorial on Linux bash scripting, the teacher uses atom for editor. When I did I tried to install atom : *sudo snap install atom* I got the message: error: This revision of ...
0
votes
0answers
80 views

Are packages on snapcraft inherently safe?

Are packages installed by snap from https://snapcraft.io inherently safe? I heard they are sandboxed. Does that mean they can't change my file system, read my files, etc.?
0
votes
1answer
26 views

how to disable filelight showing snap applications?

I'm using linux ubuntu 16-04, and filelight as my favourite tool to inspect disk usage. Recently I installing some snap packages. I see them showed as different units on filelight: Does anybody have ...
3
votes
3answers
194 views

How can I filter read only file systems out of df output?

I use df to check if any of my mounted file systems are close to getting full. I have a cron job that sends me email if any of them are getting to be above 90% full. The problem is that some ...
1
vote
3answers
375 views

Does Ubuntu Ship With Auto-updating Snaps?

I don't use snaps, but I'm aware that recent releases of Ubuntu ship with snap pre-installed. My understanding is that snaps are automatically updated, and that updating cannot be disabled. Am I ...
1
vote
1answer
275 views

How can I fix snap run on non-Ubuntu Linux kernel 4.18?

I'm running snap applications on a non-Ubuntu system: $ snap version ...
0
votes
0answers
110 views

apparmor=“DENIED” operation=“change_onexec” info=“label not found” error=-2 profile=“unconfined” name=“snap.slack.slack” pid=11613 comm=“snap-confine”

I'm trying to Install Slack for Linux and run it on my Kali-Linux, however while trying run it, I get following in my /var/log/syslog while trying to run Slack app. Sep 19 16:37:58 suey kernel: [ ...
0
votes
1answer
230 views

Problems installing snap and heroku on raspbian

I am having some problems installing heroku on raspbian stretch lite. Snap seems to install ok using the command apt-get install snapd as recommend in the install instructions on their website for ...
2
votes
1answer
959 views

What is the NSFS filesystem?

The kernel contains a filesystem, nsfs. snapd creates a nsfs mount under /run/snapd/ns/<snapname>.mnt for each installed snap. ls shows it as a 0 byte file. The kernel source code does not seem ...
1
vote
1answer
65 views

Is there some tool like apt-fast for snapcraft?

On Ubuntu, I've been using apt-fast (https://github.com/ilikenwf/apt-fast) which is basically apt/apt-get/aptitude behind aria2. Is there something like that for snap packages as well? (It seems like ...
5
votes
2answers
2k views

How to fix Fontconfig error: failed reading config file

On Debian testing, whenever I run a browser from the terminal, I get four lines of the following error: Fontconfig error: failed reading config file This doesn't seem to cause any problems in any ...
1
vote
0answers
292 views

how to launch vuze from snap? [closed]

After installing vuze from snap: thufir@bot:~$ thufir@bot:~$ snap info vuze-vs name: vuze-vs summary: Vuze is a powerful, open source, bittorrent client. publisher: vs contact: vasilisc@...
1
vote
0answers
133 views

Why don't snapd app icons appear under GNOME/Wayland?

I am running PureOS (~= Debian testing) with a GNOME/Wayland desktop. After I install a program with snapd, I can run it from the command line with snap run but I can't launch it from the launcher, ...
-1
votes
1answer
16 views

Can I build snaps in linux mint 18.3?

Can I build snaps in linux mint 18.3? In the snapcraft tutorial I read that they strong recommend ubuntu 16.04.3(LTS) and mint 18.3 is based on 16.04. is only Ubuntu necessary?
1
vote
1answer
77 views

Building the perfect Distro with Snap [closed]

Snap is new package system for creating and installing apps, but its kind of new. I was wondering if the library is robust enough to be the main package manager for a new distro. Some context: I've ...
0
votes
1answer
295 views

Error when updating Manjaro with pamac: snapd already present on file system

Yesterday, i wanted to get install updates using the pamac updater. I got an error saying something along the lines of files in conflict: snapd-git: /snap already exists in file system. Since I am ...
3
votes
2answers
2k views

Launch snap applications in Fedora

I'm using Fedora 27. Just installed a snapd and a snap application - JetBrains DataGrip. But I can't launch it from Applications menu. Icon is available, but when I click on it - it simply doesn't ...
0
votes
1answer
358 views

How to install .diff file from arch linux wiki

I downloaded Ubuntu's Linux 4.4 patchset from the arch wiki for snapd, it downloaded as a tar ball and after extracting it I go a directory name linux_4.4.0-21.37.diff with a files inside named data, ...
2
votes
1answer
6k views

snap /dev/loop at 100% utilization — no free space

Free space: thufir@dur:~$ thufir@dur:~$ df -h Filesystem Size Used Avail Use% Mounted on udev 3.9G 0 3.9G 0% /dev tmpfs 794M ...
2
votes
1answer
121 views

Cannot add snappy-dev/tools ppa repository

I am using Deepin Linux 15.4.1 and I want to install the package snapcraft (to do that I need the "title's repository"), when I try to add the snappy-dev/tools repository with the command: sudo add-...
8
votes
1answer
4k views

Install specific previous version of package?

I would like to install kubectl version 1.2.4 on a machine. The Kubernetes documentation recommends using snap for installation on Ubuntu. snap install --help is not very useful, the one promising ...